<script>
import Customers from "../../api/endpoints/Customers";

export default {
    name: "CustomersIndex",

    data() {
        return {
            page: 0,
            lastPage: 0,
            customers: []
        };
    },

    created() {
        this.loadCustomers(1);
    },

    methods: {
        loadCustomers(page) {
            this.page = page;

            Customers
                .index({page})
                .then(response => {
                    this.customers = response.data;
                    this.lastPage = response.meta.last_page;
                });
        }
    },

}
</script>

<style scoped>

</style>